Subject: Re: 23.1; nxml-mode: Internal error in rng-validate-mode triggered

From: Jens Thiele <[email-masked]>
Date: Mon, 14 Sep 2009 16:42:55 +0200

Chong Yidong <[email-masked]> writes:

>> If I try to validate a SVG with a huge path element in nxml-mode I get
>> the error: Internal error in rng-validate-mode triggered at buffer
>> position 616. Stack overflow in regexp matcher.
>
> Could you provide a precise, step-by-step recipe for reproducing this
> problem, starting with `emacs -Q'?

emacs -Q
M-: (progn
     (switch-to-buffer
      (find-file
       (url-file-local-copy
        "http://karme.de/delme/test.svg")))
     (nxml-mode)
     (switch-to-buffer "*Messages*"))

I also attached the test file. If really needed I can create a stripped
down version.